Bug 978867 - qpid-config is allowing users to specify bogus policy settings
qpid-config is allowing users to specify bogus policy settings
Status: NEW
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-tools (Show other bugs)
2.4
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Ernie
Messaging QE
:
Depends On: 978868
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-27 04:59 EDT by Zdenek Kraus
Modified: 2014-07-30 16:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zdenek Kraus 2013-06-27 04:59:20 EDT
Description of problem:
qpid-config does not fails nor warn user that removed limit polices are not valid anymore, flow-to-disk and ring-strict.

Version-Release number of selected component (if applicable):
qpid-tools-0.22-2

How reproducible:
100%

Steps to Reproduce:
> qpid-config add queue x-reject --limit-policy=reject
> qpid-config add queue x-ftd    --limit-policy=flow-to-disk
> qpid-config add queue x-ring   --limit-policy=ring
> qpid-config add queue x-ring-s --limit-policy=ring-strict

Actual results:
2013-06-26 13:36:39 [Broker] notice Broker running
2013-06-26 13:38:07 [Broker] warning Unrecognised policy option: flow_to_disk
2013-06-26 13:38:52 [Broker] warning Unrecognised policy option: ring_strict

Expected results:
the client fails with error message and error code if the flow-to-disk or ring-strict are specified

Additional info:

Note You need to log in before you can comment on or make changes to this bug.